Bug 1625839 (CVE-2018-16539) - CVE-2018-16539 ghostscript: incorrect access checking in temp file handling to disclose contents of files (699658)
Summary: CVE-2018-16539 ghostscript: incorrect access checking in temp file handling t...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-16539
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1625840 1625841 1649721 1649722
Blocks: 1619570
TreeView+ depends on / blocked
 
Reported: 2018-09-06 05:19 UTC by Sam Fowler
Modified: 2019-09-29 14:57 UTC (History)
2 users (show)

Fixed In Version: ghostscript 9.24
Doc Type: If docs needed, set a value
Doc Text:
It was discovered that the ghostscript did not properly restrict access to files open prior to enabling the -dSAFER mode. An attacker could possibly exploit this to bypass the -dSAFER protection and disclose the content of affected files via a specially crafted PostScript document.
Clone Of:
Environment:
Last Closed: 2018-11-28 15:50:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3650 None None None 2018-11-27 01:21:33 UTC

Description Sam Fowler 2018-09-06 05:19:33 UTC
In Artifex Ghostscript before 9.24, attackers able to supply crafted PostScript files could use incorrect access checking in temp file handling to disclose contents of files on the system otherwise not readable.


External Reference:

https://www.kb.cert.org/vuls/id/332928
https://www.artifex.com/news/ghostscript-security-resolved/


Upstream Bug:

https://bugs.ghostscript.com/show_bug.cgi?id=699658


Upstream Patch:

http://git.ghostscript.com/?p=ghostpdl.git;a=commit;h=a054156d

Comment 1 Sam Fowler 2018-09-06 05:20:01 UTC
Created ghostscript tracking bugs for this issue:

Affects: fedora-all [bug 1625840]

Comment 4 Stefan Cornelius 2018-09-20 11:20:39 UTC
Statement:

This issue affects the versions of ghostscript as shipped with Red Hat Enterprise Linux 5, 6, and 7.

Red Hat Enterprise Linux 6 is now in Maintenance Support 2 Phase of the support and maintenance life cycle. This has been rated as having a security impact of Moderate, and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Red Hat Enterprise Linux 5 is now in Extended Life Phase of the support and maintenance life cycle. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 7 errata-xmlrpc 2018-11-27 01:21:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3650 https://access.redhat.com/errata/RHSA-2018:3650

Comment 8 Cedric Buissart 2018-11-28 15:50:30 UTC
Mitigation:

Please refer to the "Mitigation" section of CVE-2018-16509 : https://access.redhat.com/security/cve/cve-2018-16509


Note You need to log in before you can comment on or make changes to this bug.